Skip to navigation

Register entities

Attempts to move entities into the registry. Limit of 2500 entities per request. This endpoint will first check that the entities are all valid to be moved into the registry, given the namingStrategy. If any entities fail validation, no files will be moved and errors describing invalid entities is returned. If all entities pass validation, the entities are moved into the registry.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

registry_idstringRequired
ID for the registry

Request

This endpoint expects an object.
entityIdslist of stringsRequired
Array of entity IDs
namingStrategyenumRequired

Specifies the behavior for automatically generated names when registering an entity.

  • NEW_IDS: Generate new registry IDs
  • IDS_FROM_NAMES: Generate registry IDs based on entity names
  • DELETE_NAMES: Generate new registry IDs and replace name with registry ID
  • SET_FROM_NAME_PARTS: Generate new registry IDs, rename according to name template, and keep old name as alias
  • REPLACE_NAMES_FROM_PARTS: Generate new registry IDs, and replace name according to name template
  • KEEP_NAMES: Keep existing entity names as registry IDs
  • REPLACE_ID_AND_NAME_FROM_PARTS: Generate registry IDs and names according to name template

Response

This endpoint launches a long-running task and returns the Task ID of the launched task.

When successful, the task has an empty response. Benchling cannot always process two registration attempts within the same registry at the same time, so it’s possible for the task to return an error response that indicates another attempt is already in progress and currently blocking this one. Benchling will automatically retry the task up to 3 times, and in the unlikely event that it is still failing, the task status will be “FAILED” and the error message will read:

Another registration attempt is in progress. Please try again in a few moments. If this problem persists, please wait 1-2 minutes before trying again.

taskIdstringOptional

Errors

400
Bad Request Error